## org.apache.lucene.search.vectorhighlight
Class FieldPhraseList.WeightedPhraseInfo

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo

Enclosing class:
  FieldPhraseList

    public static class FieldPhraseList.WeightedPhraseInfo

extends Object

Represents the list of term offsets and boost for some text

Nested Class Summary
`static class` `FieldPhraseList.WeightedPhraseInfo.Toffs` Term offsets (start + end)

Constructor Summary
`FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms, float boost)`
`FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms, float boost, int seqnum)`

Method Summary
`float` `getBoost()`
`int` `getEndOffset()`
`int` `getSeqnum()`
`int` `getStartOffset()`
`List<FieldTermStack.TermInfo>` `getTermsInfos()`
`List<FieldPhraseList.WeightedPhraseInfo.Toffs>` `getTermsOffsets()`
`String` `getText()`
`boolean` `isOffsetOverlap(FieldPhraseList.WeightedPhraseInfo other)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldPhraseList.WeightedPhraseInfo

    public FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms,
                                              float boost)

### FieldPhraseList.WeightedPhraseInfo

    public FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms,
                                              float boost,
                                              int seqnum)

Method Detail

### getText

    public String getText()

  Returns:
    the text

### getTermsOffsets

    public List<FieldPhraseList.WeightedPhraseInfo.Toffs> getTermsOffsets()

  Returns:
    the termsOffsets

### getBoost

    public float getBoost()

  Returns:
    the boost

### getTermsInfos

    public List<FieldTermStack.TermInfo> getTermsInfos()

  Returns:
    the termInfos

### getStartOffset

    public int getStartOffset()

### getEndOffset

    public int getEndOffset()

### isOffsetOverlap

    public boolean isOffsetOverlap(FieldPhraseList.WeightedPhraseInfo other)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSeqnum

    public int getSeqnum()

  Returns:
    the seqnum

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.